Bug 1361118 - [RFE] Geo-replication Events
Summary: [RFE] Geo-replication Events
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Aravinda VK
QA Contact: Sweta Anandpara
URL:
Whiteboard: USM-Gluster integration
Depends On: 1370445
Blocks: 1351503
TreeView+ depends on / blocked
 
Reported: 2016-07-28 11:24 UTC by Aravinda VK
Modified: 2017-03-23 05:42 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 05:42:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Aravinda VK 2016-07-28 11:24:12 UTC
Description of problem:
This RFE is to track the changes required in the Geo-replication component to generate the events to be consumed by the eventing framework.

Comment 3 Atin Mukherjee 2016-08-29 04:04:23 UTC
http://review.gluster.org/#/c/15328/ posted upstream for review.

Comment 4 Atin Mukherjee 2016-09-16 08:45:29 UTC
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/84739/ merged now.

Comment 5 Aravinda VK 2016-09-17 13:47:43 UTC
User driven events patch is merged, One more patch required(http://review.gluster.org/15328). I will backport that today. Moving it back to POST

Comment 6 Aravinda VK 2016-09-17 14:02:53 UTC
Posted the second patch
https://code.engineering.redhat.com/gerrit/84879

Comment 7 Atin Mukherjee 2016-09-17 14:04:12 UTC
downstream patch https://code.engineering.redhat.com/gerrit/#/c/84879/ is merged.

Comment 10 Sweta Anandpara 2016-11-14 10:16:15 UTC
Tested and verified this on the build 3.8.4-3

The below mentioned Geo-rep events are already tested:
EVENT_GEOREP_CREATE
EVENT_GEOREP_START
EVENT_GEOREP_STOP
EVENT_GEOREP_PAUSE
EVENT_GEOREP_RESUME
EVENT_GEOREP_DELETE
EVENT_GEOREP_CONFIG_RESET
EVENT_GEOREP_CONFIG_SET

{u'message': {u'slave': u'10.70.46.242::dist-slave', u'master': u'disp-master', u'push_pem': u'1'}, u'event': u'GEOREP_CREATE', u'ts': 1474362077, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}
{u'message': {u'slave': u'10.70.46.242::dist-slave', u'master': u'disp-master'}, u'event': u'GEOREP_START', u'ts': 1474362215, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}
{u'message': {u'slave': u'10.70.46.242::dist-slave', u'master': u'disp-master'}, u'event': u'GEOREP_STOP', u'ts': 1474363883, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}
{u'message': {u'slave': u'10.70.46.242::dist-slave', u'master': u'disp-master'}, u'event': u'GEOREP_PAUSE', u'ts': 1474363836, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}
{u'message': {u'slave': u'10.70.46.242::dist-slave', u'master': u'disp-master'}, u'event': u'GEOREP_RESUME', u'ts': 1474363859, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}
{u'message': {u'slave': u'10.70.46.242::dist-slave', u'master': u'disp-master'}, u'event': u'GEOREP_DELETE', u'ts': 1474436128, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}
{u'message': {u'slave': u'10.70.46.242::dist-slave', u'master': u'disp-master', u'option': u'use_meta_volume', u'value': u'true'}, u'event': u'GEOREP_CONFIG_SET', u'ts': 1474362161, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}
{u'message': {u'slave': u'10.70.46.242::dist-slave', u'master': u'disp-master', u'option': u'use-tarssh'}, u'event': u'GEOREP_CONFIG_RESET', u'ts': 1474364116, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}


Async events related to georep are not yet tested. But moving this blanket BZ to verified. Will raise new bugzilla if I see any issue later.

Comment 12 errata-xmlrpc 2017-03-23 05:42:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.